# sfmc-soap-object-reference
A small package to quckly reference SFMC SOAP objects in JavaScript projects.

# functions and usage
```javascript
// require package
const {
    getProperties,
    getDefinition
} = require('sfmc-soap-object-reference')


//Get DataExtension Properties
const dataExtensionProps = getProperties('DataExtension')

//Get DataExtension Object Definition
const dataExtensionProps = getDefinition('DataExtension')
```

# object list
- Account
- AccountDataItem
- AccountPrivateLabel
- AccountTypeEnum
- AccountUser
- AddressStatus
- APIObject
- APIProperty
- AsyncRequestResult
- AsyncResponse
- AsyncResponseType
- Attribute
- AttributeMap
- AudienceItem
- Authentication
- Automation
- AutomationActivity
- AutomationActivityInstance
- AutomationInstance
- AutomationInstances
- AutomationNotification
- AutomationSource
- AutomationTask
- AutomationTaskInstance
- BaseMOKeyword
- BounceEvent
- BusinessRule
- BusinessUnit
- Campaign
- CampaignPerformOptions
- Certificate
- ClickEvent
- ClientID
- ComplexFilterPart
- CompressionConfiguration
- CompressionEncoding
- CompressionType
- ConfigureOptions
- ConfigureResult
- ContactEvent
- ContainerID
- ContentArea
- ContentValidation
- ContentValidationResult
- ContentValidationTaskResult
- CreateOptions
- CreateResult
- DailyRecurrence
- DailyRecurrencePatternTypeEnum
- DataExtension
- DataExtensionCreateResult
- DataExtensionDeleteResult
- DataExtensionError
- DataExtensionField
- DataExtensionFieldType
- DataExtensionObject
- DataExtensionTemplate
- DataExtensionUpdateResult
- DataExtractActivity
- DataFolder
- DataSourceTypeEnum
- DateTimeUnitOfMeasure
- DayOfWeekEnum
- DeleteOptions
- DeleteResult
- DeliveryProfile
- DeliveryProfileDomainTypeEnum
- DeliveryProfileSourceAddressTypeEnum
- DoubleOptInMoKeyword
- Email
- EmailAddress
- EmailSendDefinition
- EmailType
- EventType
- ExecuteRequest
- ExecuteResponse
- ExtractDefinition
- ExtractDescription
- ExtractOptions
- ExtractParameter
- ExtractParameterDataType
- ExtractParameterDescription
- ExtractRequest
- ExtractResult
- ExtractTemplate
- FieldMap
- FileTransferActivity
- FileTransferLocation
- FileTrigger
- FileTriggerTypeLastPull
- FileType
- FilterActivity
- FilterDefinition
- FilterPart
- Folder
- ForwardedEmailEvent
- ForwardedEmailOptInEvent
- GlobalUnsubscribeCategory
- Group
- GroupDefinition
- HelpMOKeyword
- HourlyRecurrence
- HourlyRecurrencePatternTypeEnum
- ImportDefinition
- ImportDefinitionAutoGenerateDestination
- ImportDefinitionColumnBasedAction
- ImportDefinitionColumnBasedActionType
- ImportDefinitionFieldMap
- ImportDefinitionFieldMappingType
- ImportDefinitionSubscriberImportType
- ImportDefinitionUpdateType
- ImportResultsSummary
- IntegrationProfile
- IntegrationProfileDefinition
- InteractionBaseObject
- InteractionDefinition
- Layout
- LayoutType
- Link
- LinkSend
- List
- ListAttribute
- ListAttributeFieldType
- ListAttributeRestrictedValue
- ListClassificationEnum
- ListSend
- ListSubscriber
- ListTypeEnum
- Locale
- LogicalOperators
- Message
- MessageDeliveryTypeEnum
- MessageSendActivity
- MessagingConfiguration
- MessagingVendorKind
- MinutelyRecurrence
- MinutelyRecurrencePatternTypeEnum
- MobileConnectRefreshListActivity
- MobileConnectSendSMSActivity
- MobilePushSendMessageActivity
- MonthlyRecurrence
- MonthlyRecurrencePatternTypeEnum
- MonthOfYearEnum
- NotSentEvent
- NullAPIProperty
- ObjectDefinition
- ObjectDefinitionRequest
- ObjectExtension
- OpenEvent
- Options
- OverrideType
- Owner
- ParameterDescription
- PerformOptions
- PerformResult
- Permission
- PermissionSet
- PicklistItem
- PlatformApplication
- PlatformApplicationPackage
- Portfolio
- Priority
- PrivateDomain
- PrivateDomainSet
- PrivateIP
- PrivateLabel
- ProgramManifestTemplate
- PropertyDefinition
- PropertyType
- Publication
- PublicKeyManagement
- Query
- QueryDefinition
- QueryObject
- QueryRequest
- Recurrence
- RecurrenceRangeTypeEnum
- RecurrenceTypeEnum
- ReplyMailManagementConfiguration
- ReportActivity
- Request
- RequestType
- ResourceSpecification
- RespondWhen
- Result
- ResultItem
- ResultMessage
- RetrieveOptions
- RetrieveRequest
- RetrieveSingleOptions
- RetrieveSingleRequest
- Role
- SalutationSourceEnum
- SaveAction
- SaveOption
- ScheduledConversation
- ScheduleDefinition
- ScheduledRequest
- ScheduleOptions
- ScheduleResult
- SecurityObject
- Send
- SendAdditionalAttribute
- SendClassification
- SendClassificationTypeEnum
- SendDefinition
- SendDefinitionList
- SendDefinitionListTypeEnum
- SendEmailMOKeyword
- SenderProfile
- SendPriorityEnum
- SendSMSMOKeyword
- SendSummary
- SentEvent
- SimpleFilterPart
- SimpleOperators
- SoapType
- SsoIdentity
- Subscriber
- SubscriberAddress
- SubscriberAddressStatus
- SubscriberList
- SubscriberResult
- SubscriberStatus
- SubscriberTypeDefinition
- Subscription
- SuppressionListContext
- SuppressionListContextEnum
- SuppressionListData
- SuppressionListDefinition
- SurveyEvent
- SystemStatusResult
- SystemStatusType
- TagFilterPart
- TaskResult
- Template
- TimeZone
- TrackingEvent
- TrackingUser
- TriggeredSend
- TriggeredSendCreateResult
- TriggeredSendDefinition
- TriggeredSendExclusionList
- TriggeredSendStatusEnum
- TriggeredSendSummary
- TriggeredSendTypeEnum
- UnsubEvent
- UnsubscribeBehaviorEnum
- UnsubscribeFromSMSPublicationMOKeyword
- UpdateOptions
- UpdateResult
- UserAccess
- UserMap
- UsernameAuthentication
- ValidationAction
- ValidationResult
- VersionInfoResponse
- WeeklyRecurrence
- WeeklyRecurrencePatternTypeEnum
- WeekOfMonthEnum
- YearlyRecurrence
- YearlyRecurrencePatternTypeEnum
